Page MenuHomePhabricator

[mlir][sparse][taco] Add more unit tests.
ClosedPublic

Authored by bixia on Mar 4 2022, 1:25 PM.

Details

Summary

These unit tests resides in an internal repository. Porting the tests to the
public repository.

Diff Detail

Event Timeline

bixia created this revision.Mar 4 2022, 1:25 PM
Herald added a project: Restricted Project. · View Herald Transcript
bixia requested review of this revision.Mar 4 2022, 1:25 PM
aartbik added inline comments.Mar 4 2022, 2:27 PM
mlir/test/Integration/Dialect/SparseTensor/taco/unit_test_tensor_core.py
39

then verifies? or something else?

bixia updated this revision to Diff 413324.Mar 6 2022, 4:39 PM

Fixed a comment.

bixia added inline comments.Mar 6 2022, 4:47 PM
mlir/test/Integration/Dialect/SparseTensor/taco/unit_test_tensor_core.py
39

Good catch. Should be "then verified the".

bixia updated this revision to Diff 413328.Mar 6 2022, 7:06 PM

Removed debug print.

aartbik accepted this revision.Mar 7 2022, 9:53 AM

Ship it!

This revision is now accepted and ready to land.Mar 7 2022, 9:53 AM
This revision was automatically updated to reflect the committed changes.